#!/bin/sh
#==============================================================================
# root-local.sh
# will be executed before libary reduction
#==============================================================================

#------------------------------------------------------------------------------
# Get yBuild pathes and variables
#------------------------------------------------------------------------------
yb_home=$HOME/tuxbox/yBuild
. $yb_home/yb_globals.conf
. $yb_home/include/_yb_library.inc.sh
init_variables

#------------------------------------------------------------------------------
# init specific pathes and variables
#------------------------------------------------------------------------------
flashprefix=$1
buildprefix=$2
myfiles=$MYFILESDIR
newvar=$flashprefix/root
cdkroot=$DBOX_PREFIX/cdkroot

#------------------------------------------------------------------------------
# lets start
#------------------------------------------------------------------------------
echo "================================================================================"
echo "LOCAL: $0"
echo "flashprefix=$1 and buildprefix=$2"
echo "================================================================================"
#show_variables
set -x

#------------------------------------------------------------------------------
# my make targets
#------------------------------------------------------------------------------
#make flash-automount
make dvb_tools
make flash-dboxshot
make flash-fbshot
make flash-fcp

#------------------------------------------------------------------------------
# move files to take attention while stripping libs
#------------------------------------------------------------------------------
cp -r $myfiles/lib/* $newvar/lib

#---------------------------------------------------------------------------------
echo "================================================================================"
echo "END LOCAL: $0"
echo "================================================================================"

