#!/bin/sh
#==============================================================================
# yadd-neutrino-local.sh
#==============================================================================

#------------------------------------------------------------------------------
# Get yBuild pathes and variables
#------------------------------------------------------------------------------
yb_home=$HOME/tuxbox/yBuild
. $yb_home/yb_globals.conf
. $yb_home/include/_yb_library.inc.sh
init_variables

#------------------------------------------------------------------------------
# init specific pathes and variables
#------------------------------------------------------------------------------
flashprefix=$1
buildprefix=$2
myfiles=$MYFILESDIR
cdkroot=$DBOX_PREFIX/cdkroot
actual_local_dir=$flashprefix

#------------------------------------------------------------------------------
# lets start
#------------------------------------------------------------------------------
echo "================================================================================"
echo "START LOCAL: $0"
echo "flashprefix=$1 and buildprefix=$2"
echo "================================================================================"
#show_variables
#set -x
newvar=$flashprefix
set -x

#---------------------------------------------------------------------------------
# my make targets
#---------------------------------------------------------------------------------
make dvb_tools

#------------------------------------------------------------------------------
install -d $actual_local_dir/hdd	# hdd mount dir

#------------------------------------------------------------------------------
# copy my own files
#------------------------------------------------------------------------------
echo "copying own files"
cp -r $MyDBOXFILESDIR/* $actual_local_dir

#---------------------------------------------------------------------------------
echo "================================================================================"
echo "END LOCAL: $0"
echo "================================================================================"



