#! /bin/bash
# -----------------------------------------------------------------------------------------------------------
# Tuxbox Build & Compiler Helper
# by yjogol (yjogol@online.de)
# $Date: 2007/01/20 11:58:08 $
# $Revision: 1.1 $
# -----------------------------------------------------------------------------------------------------------

# -----------------------------------------------------------------------------------------------------------
# Menu
# -----------------------------------------------------------------------------------------------------------
cleantargets_menu()
{
	if [ "$SDEBUG" == "0" ];then
		clear
	fi
	echo "===================================================================================="
	echo "Menu: Clean Targets"
	echo "Version: $yb_version Date: $yb_date"
	echo "------------------------------------------------------------------------------------"
	echo ""
	echo "0  - make flash-semiclean"
	echo "1  - make flash-mostlyclean"
	echo "2  - make flash-clean"
	echo ""
	echo "4  - make mostlyclean"
	echo "5  - make clean"
	echo "6  - make distclean"
	echo ""
	echo "ca - Clean All - remove $cWORKINGDIR/$cCVSDIR/* and $cWORKINGDIR/$cDBOX_PREFIX/*"
	echo ""
	echo "b  - Back"
	echo "===================================================================================="
	echo "Enter command:"
}

# -----------------------------------------------------------------------------------------------------------
# Menu Loop
# -----------------------------------------------------------------------------------------------------------
cleantargets()
{
	cleantargets_doquit=false
	while [ "$cleantargets_doquit" == "false" ]
	do
		cleantargets_menu
		read cmd
		case "$cmd" in 
			0)	do_make flash-semiclean ;;
			1)	do_make flash-mostlyclean ;;
			2)	do_make flash-clean ;;
			4)	do_make mostlyclean ;;
			5)	do_make clean ;;
			6)	do_make distclean ;;
			ca)
				clean_dirs
				build_dirs
				;;
			b)	cleantargets_doquit="true" ;;
		esac
		if [ "$cleantargets_doquit" == "false" ]; then
			echo "Ready .... press Enter"
			read dummy
		fi
	done 
}
