#! /bin/bash
# -----------------------------------------------------------------------------------------------------------
# Tuxbox Build & Compiler Helper
# by yjogol (yjogol@online.de)
# $Date: 2007/01/20 11:58:08 $
# $Revision: 1.4 $
# -----------------------------------------------------------------------------------------------------------
#+++++++++++++++++++++++++++++++++++++++++
# TODO
# complete rebuilding nesessary
#+++++++++++++++++++++++++++++++++++++++++
# -----------------------------------------------------------------------------------------------------------
makeit_menu()
{
	if [ "$SDEBUG" == "0" ];then
		clear
	fi
	echo "==============================================================================="
	echo "Menu: Make (alpha)"
	echo "Version: $yb_version Date: $yb_date"
	echo "-------------------------------------------------------------------------------"
	echo "0 - Copy *-local.sh to CDK"
	echo ""
	echo "a - flash automount"
	echo "ay - automount"
	echo "u - flash upnp"
	echo ""
	echo "b - Back"
	echo "=============================================================="
	echo "Enter command:"
}
# -----------------------------------------------------------------------------------------------------------
# $1=Variable Value, $2=Description
# Return in $makeit_editvalue
# -----------------------------------------------------------------------------------------------------------
makeit_editvariable()
{
	makeit_editvalue=$1
	echo "Description: $2"
	echo "Actual.....: $1"
	echo "Enter Value:"
	read val $1
	if [ "$val" != "" ]
	then
		makeit_editvalue=$val
	fi
}
 
# -----------------------------------------------------------------------------------------------------------
# Menu Loop
# -----------------------------------------------------------------------------------------------------------

makeit()
{
	makeit_editvalue=""
	makeit_doquit=false
	while [ "$makeit_doquit" == "false" ]
	do
		makeit_menu
		read cmd
		
		case "$cmd" in 
			0)
				cp -v $MyLOCALSDIR/*local.sh $CVSDIR/cdk
				chmod -v u+x $CVSDIR/cdk/*local.sh
				cp -v $MyLOCALSDIR/mkversion $CVSDIR/cdk
				chmod -v u+x $CVSDIR/cdk/mkversion
				echo "Ready .... press Enter"
				read dummy
				;;
			a)
				do_make flash-automount
				echo "Ready .... press Enter"
				read dummy
				;;
			ay)
				do_make automount
				echo "Ready .... press Enter"
				read dummy
				;;
			b)
				makeit_doquit="true"
				;;
			u)
				do_make flash-upnp
				echo "Ready .... press Enter"
				read dummy
				;;
		esac
	done 
}